# $Revision: 1.28 $, $Date: 2004/05/07 01:09:21 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTTP
%define	pnam	GHTTP
Summary:	HTTP::GHTTP - Perl interface to the GNOME ghttp library
Summary(pl):	HTTP::GHTTP - modu Perla z interfejsem do biblioteki GNOME ghttp
Name:		perl-HTTP-GHTTP
Version:	1.07
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	af6090669fde7709c765c2caf03aa42b
BuildRequires:	libghttp-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The HTTP::GHTTP module is a simple Perl interface to the GNOME ghttp
library. It allows you to make very simple HTTP requests, without the
weight of something like LWP. This makes it very useful in situations
where memory and speed are at a premium, such as mod_perl.

%description -l pl
Modu Perla HTTP::GHTTP stanowi prosty interfejs do biblioteki GNOME
ghttp. Umoliwia on tworzenie bardzo prostych zapyta HTTP bez narzutu
czego takiego, jak LWP. Czyni to go bardzo przydatnym, gdy pami i
prdko s bardzo istotne, np. w mod_perl.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/g-request
%dir %{perl_vendorarch}/HTTP
%{perl_vendorarch}/HTTP/GHTTP.pm
%dir %{perl_vendorarch}/auto/HTTP
%{perl_vendorarch}/auto/HTTP/GHTTP
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTTP-GHTTP.spec,v $
Revision 1.28  2004/05/07 01:09:21  ankry
- rel. 3

Revision 1.27  2004/05/06 18:09:42  ankry
- fixed perl-devel BR

Revision 1.26  2004/04/24 22:10:19  ankry
- test added

Revision 1.25  2004/04/22 06:53:53  ankry
- license fixes and unification

Revision 1.24  2004/04/14 16:59:13  ankry
- better summaries/descriptions

Revision 1.23  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.22  2003/08/18 08:08:51  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.21  2003/05/28 13:00:41  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 06:24:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.18  2003/03/01 19:37:07  radek
- should be ready for perl-5.8.0; release++

Revision 1.17  2003/02/25 00:39:26  radek
- use the __perl macro

Revision 1.16  2003/02/18 15:33:23  ankry
- massive attack: change CPAN URLs

Revision 1.15  2002/12/03 21:34:54  ankry
- cleaning

Revision 1.14  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.13  2002/07/11 07:59:52  depesz
- new version; should work; STBR

Revision 1.12  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.11  2002/02/25 10:32:15  depesz
cleanup; revision++

Revision 1.10  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/02/13 14:16:24  depesz
automatic: Source location unfied, Relase Up

Revision 1.8  2002/02/10 15:27:21  depesz
adapterized

Revision 1.7  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/07/16 00:10:17  qboosh
- added %%{perl_sitearch}/{,auto/}HTTP dirs (no other package use them)
- release 4

Revision 1.5  2001/07/05 22:29:04  qboosh
- added dir: %%{perl_sitearch}/auto/HTTP/GHTTP
- release 3

Revision 1.4  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.3  2001/04/17 12:10:40  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.2  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.1  2001/02/01 18:21:16  kloczek
- written from scrach.
